/***************************************************************************
                          invitedcontact.cpp  -  description
                             -------------------
    begin                : Thu Jan 16 2003
    copyright            : (C) 2003 by Mike K. Bennett
    email                : mkb137b@hotmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "invitedcontact.h"

#include "../kmessdebug.h"



// The constructor
InvitedContact::InvitedContact( const QString &handle, const QString &friendlyName, uint capabilities)
 : ContactBase(handle, friendlyName, capabilities)
{
  detectClientName( capabilities, 0 );
}



// The destructor
InvitedContact::~InvitedContact()
{
#ifdef KMESSDEBUG_INVITEDCONTACT
  kmDebug() << "DESTROYED. [" << getHandle() << "]";
#endif
}


// Return the path to the contact's picture
const QString InvitedContact::getContactPicturePath() const
{
  return getContactDefaultPicturePath();
}



// Return the contact's status
Status InvitedContact::getStatus() const
{
  // Since no status updates are returned for a contact not on the list, return "Invisible".
  return STATUS_INVISIBLE;
}


#include "invitedcontact.moc"
